Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class FMLRenderAccessLibrary

    java.lang.Object
      net.minecraft.src.FMLRenderAccessLibrary

    public class FMLRenderAccessLibrary

extends Object

A static hook library for optifine and other basemod editing code to access FML functions

Author:
  cpw

Constructor Summary
`FMLRenderAccessLibrary()`

Method Summary
`static Logger` | `getLogger()`
`static Dimension` | `getTextureDimensions(TextureFX textureFX)`
`static void` | `log(Level level, String message)`
`static void` | `log(Level level, String message, Throwable throwable)`
`static void` | `onTexturePackChange(RenderEngine engine, ITexturePack texturePack, List<TextureFX> textureFXList)`
`static boolean` | `onUpdateTextureEffect(TextureFX textureFX)`
`static void` | `preRegisterEffect(TextureFX textureFX)`
`static void` | `renderInventoryBlock(RenderBlocks renderer, Block block, int metadata, int modelID)`
`static boolean` | `renderItemAsFull3DBlock(int modelId)`
`static boolean` | `renderWorldBlock(RenderBlocks renderer, IBlockAccess world, int x, int y, int z, Block block, int modelId)`
`static void` | `setTextureDimensions(int textureId, int width, int height, List<TextureFX> textureFXList)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FMLRenderAccessLibrary

    public FMLRenderAccessLibrary()

Method Detail

### getLogger

    public static Logger getLogger()

### log

    public static void log(Level level,
                           String message)

### log

    public static void log(Level level,
                           String message,
                           Throwable throwable)

### setTextureDimensions

    public static void setTextureDimensions(int textureId,
                                            int width,
                                            int height,
                                            List<TextureFX> textureFXList)

### preRegisterEffect

    public static void preRegisterEffect(TextureFX textureFX)

### onUpdateTextureEffect

    public static boolean onUpdateTextureEffect(TextureFX textureFX)

### getTextureDimensions

    public static Dimension getTextureDimensions(TextureFX textureFX)

### onTexturePackChange

    public static void onTexturePackChange(RenderEngine engine,
                                           ITexturePack texturePack,
                                           List<TextureFX> textureFXList)

### renderWorldBlock

    public static boolean renderWorldBlock(RenderBlocks renderer,
                                           IBlockAccess world,
                                           int x,
                                           int y,
                                           int z,
                                           Block block,
                                           int modelId)

### renderInventoryBlock

    public static void renderInventoryBlock(RenderBlocks renderer,
                                            Block block,
                                            int metadata,
                                            int modelID)

### renderItemAsFull3DBlock

    public static boolean renderItemAsFull3DBlock(int modelId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD